Loading...
Searching...
No Matches
Opm::EQUIL Namespace Reference

Types and routines that collectively implement a basic ECLIPSE-style equilibration-based initialisation scheme. More...

## Namespaces

namespace | Miscibility
| Types and routines relating to phase mixing in equilibration calculations.

## Classes

class | EquilReg
| Aggregate information base of an equilibration region. More...
struct | PcEq
| Functor for inverting capillary pressure function. More...
struct | PcEqSum
| Functor for inverting a sum of capillary pressure functions. More...

## Typedefs

template<class Scalar>
using | FS = BlackOilFluidSystem<Scalar>
template<class Scalar>
using | MatLaw1 = EclMaterialLaw::Manager<ThreePhaseMaterialTraits<Scalar,0,1,2,true,true>>
template<class Scalar>
using | MatLaw2 = EclMaterialLaw::Manager<ThreePhaseMaterialTraits<Scalar,0,1,2,false,true>>
using | FluidSystemSimple = BlackOilFluidSystem<double>
using | SatOnlyFluidState

## Functions

template<class FluidSystem, class MaterialLawManager>
FluidSystem::Scalar | minSaturations (const MaterialLawManager &materialLawManager, const int phase, const int cell)
template<class FluidSystem, class MaterialLawManager>
FluidSystem::Scalar | maxSaturations (const MaterialLawManager &materialLawManager, const int phase, const int cell)
template<class FluidSystem, class MaterialLawManager>
FluidSystem::Scalar | satFromPc (const MaterialLawManager &materialLawManager, const int phase, const int cell, const typename FluidSystem::Scalar targetPc, const bool increasing=false)
| Compute saturation of some phase corresponding to a given capillary pressure.
template<class FluidSystem, class MaterialLawManager>
FluidSystem::Scalar | satFromSumOfPcs (const MaterialLawManager &materialLawManager, const int phase1, const int phase2, const int cell, const typename FluidSystem::Scalar targetPc)
| Compute saturation of some phase corresponding to a given capillary pressure, where the capillary pressure function is given as a sum of two other functions.
template<class FluidSystem, class MaterialLawManager>
FluidSystem::Scalar | satFromDepth (const MaterialLawManager &materialLawManager, const typename FluidSystem::Scalar cellDepth, const typename FluidSystem::Scalar contactDepth, const int phase, const int cell, const bool increasing=false)
| Compute saturation from depth. Used for constant capillary pressure function.
template<class FluidSystem, class MaterialLawManager>
bool | isConstPc (const MaterialLawManager &materialLawManager, const int phase, const int cell)
| Return true if capillary pressure function is constant.

## Detailed Description

Types and routines that collectively implement a basic ECLIPSE-style equilibration-based initialisation scheme.

This namespace is intentionally nested to avoid name clashes with other parts of OPM.

## Typedef Documentation

## SatOnlyFluidState

using Opm::EQUIL::SatOnlyFluidState

Initial value:
SimpleModularFluidState<double,
3,
3,
FluidSystemSimple,
false,
false,
false,
false,
true,
false,
false,
false>